Update an on-call schedule's rotationAsk AIpatch https://api.firehydrant.io/v1/teams/{team_id}/on_call_schedules/{schedule_id}/rotations/{rotation_id}Update an on-call schedule's rotation by IDPath Paramsrotation_idstringrequiredteam_idstringrequiredschedule_idstringrequiredBody Paramsnamestring | nullThe name of the on-call rotationdescriptionstring | nullThe description of the on-call rotationtime_zonestring | nullThe timezone of the on-call rotation as a stringslack_user_group_idstring | nullThe Slack Usergroup ID for the on-call rotationenable_slack_channel_notificationsboolean | nullNotify the team's Slack channel when handoffs occurtruefalsecoverage_gap_notification_intervalstring | nullAn ISO8601 duration string specifying that the team should be notified about gaps in coverage for the upcoming interval. Notifications are sent at 9am daily in the rotation's time zone via email and, if enabled, the team's Slack channel.prevent_shift_deletionboolean | nullPrevent shifts from being deleted by users and leading to gaps in coverage.truefalsecolorstring | nullA hex color code that will be used to represent the rotation in FireHydrant's UI.membersarray of objects | nullAn ordered list of objects that specify members of the schedule's rotation.membersADD objectstrategyobject | nullAn object that specifies how the rotation's on-call shifts should be generated.strategy object | nullrestrictionsarray of objects | nullA list of objects that restrict the rotation to specific on-call periods.restrictionsADD objecteffective_atstring | nullAn ISO8601 time string specifying when the updated schedule should take effect. This value must be provided if editing an attribute that would affect how the schedule's shifts are generated, such as the time zone, members, strategy, or restrictions.Response 200Update an on-call schedule's rotation by IDUpdated 7 months ago